<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DDOS Tester</title>
    <script src="ddos-tester.js" defer></script>
    <style>
        .attack-type-row {
            display: flex;
            gap: 10px;
        }
    </style>
    <script src="../base1/cockpit.js"></script>
</head>
<body>
    <h1>DDOS Tester</h1>
    <label for="ipAddress">Target IP Address:</label>
    <input type="text" id="ipAddress" name="ipAddress"><br><br>

    <fieldset id="attackTypeFieldset">
        <legend>Select Attack Type:</legend>
        <div class="attack-type-row">
            <div>
                <input type="radio" id="syn" name="attackType" value="SYN">
                <label for="syn">TCP/SYN</label>
            </div>
            <div>
                <input type="radio" id="udp" name="attackType" value="UDP">
                <label for="udp">UDP</label>
            </div>
            <div>
                <input type="radio" id="icmp" name="attackType" value="ICMP">
                <label for="icmp">ICMP</label>
            </div>
            <div>
                <input type="radio" id="test" name="attackType" value="TEST" checked>
                <label for="icmp">TEST</label>
            </div>
        </div>
    </fieldset><br>

    <label for="count">Count:</label>
    <input type="number" id="count" name="count" min="1" value="25000"><br><br>

    <fieldset id="devicesFieldset">
        <legend>Select Devices:</legend>
        <!-- Devices will be populated here -->
    </fieldset><br>

    <button id="startStopButton">Start Attack</button>
    <span id="result"></span>
</body>
</html>
